Bug 42310 - kernel unalign access when using cipcb0 module
kernel unalign access when using cipcb0 module
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-25 14:55 EDT by David Lawrence
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-27 04:05:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lawrence 2001-05-25 14:55:44 EDT
Description of Problem:
When cipe is configured properly and trying to ping the other end of the
VPN kernel messages are dumped to /var/log/messages about kernel unaligned
access.

How Reproducible:


Steps to Reproduce:
1. ifup cipcb0 
2. ping xxx.xxx.xxx.xxx (other end of PTP connection)
3. tail -f  /var/log/messages

Actual Results:

May 25 15:43:54 dhcpd176 kernel: kernel unaligned access to
0xe00000005cc2ab9c, ip=0xa00000000029b921
May 25 15:43:54 dhcpd176 kernel: kernel unaligned access to
0xe00000007d2461a4, ip=0xa00000000029bae1
May 25 15:43:55 dhcpd176 kernel: kernel unaligned access to
0xe000000064673a1c, ip=0xa00000000029b921
May 25 15:43:55 dhcpd176 kernel: kernel unaligned access to
0xe0000000655dcc24, ip=0xa00000000029bae1


Expected Results:

Proper ping messages

Additional Information:

Pinging the other side from both client and server is not functional.
Pinging the local ipaddress works fine though.
Comment 1 Glen Foster 2001-07-13 18:16:46 EDT
This defect considered SHOULD-FIX for Fairfax gold-release.
Comment 2 David Miller 2001-08-26 20:02:14 EDT
IA64 is broken if it spits out messages like this.
Unaligned accesses are perfectly legal, especially
in the networking.

Someone please assign this to someone who is an
ia64 wizard.  I don't know how to fix it myself.
Comment 3 Arjan van de Ven 2001-08-27 04:05:01 EDT
ia64 even spits them to the current tty, not just to syslog;
I'll try to neuter those messages to something alpha style
(eg put the last 3 in a /proc file)
Comment 4 Arjan van de Ven 2001-09-06 11:56:13 EDT
/proc code added; annoying prink's removed

Note You need to log in before you can comment on or make changes to this bug.